org.apache.coyote.ajp

## Class AjpNioProtocol.AjpConnectionHandler

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<S,P>
  - - org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler<NioChannel,AjpNioProcessor>
    - - org.apache.coyote.ajp.AjpNioProtocol.AjpConnectionHandler

All Implemented Interfaces:
  AbstractEndpoint.Handler, NioEndpoint.Handler

Enclosing class:
  AjpNioProtocol

    protected static class AjpNioProtocol.AjpConnectionHandler
    extends AbstractAjpProtocol.AbstractAjpConnectionHandler<NioChannel,AjpNioProcessor>
    implements NioEndpoint.Handler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Field Summary

Fields
`protected AjpNioProtocol` `proto`

### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`connections, global, recycledProcessors, registerCount`

### Constructor Summary

Constructors
Constructor and Description
`AjpNioProtocol.AjpConnectionHandler(AjpNioProtocol proto)`

### Method Summary

Methods
`protected AjpNioProcessor` `createProcessor()`
`protected Log` `getLog()`
`protected AbstractProtocol` `getProtocol()`
`SSLImplementation` `getSslImplementation()`
`void` `release(SocketChannel socket)` Expected to be used by the Poller to release resources on socket close, errors etc.
`void` `release(SocketWrapper<NioChannel> socket)` Expected to be used by the Poller to release resources on socket close, errors etc.
`void` `release(SocketWrapper<NioChannel> socket, Processor<NioChannel> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

### Methods inherited from class org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler

`createUpgradeProcessor, createUpgradeProcessor, initSsl, longPoll`

### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`getGlobal, process, recycle, register, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tomcat.util.net.NioEndpoint.Handler

`process`

### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`getGlobal, recycle`

### Field Detail

#### proto

    protected AjpNioProtocol proto

### Constructor Detail

#### AjpNioProtocol.AjpConnectionHandler

    public AjpNioProtocol.AjpConnectionHandler(AjpNioProtocol proto)

### Method Detail

#### getProtocol

    protected AbstractProtocol getProtocol()

Specified by:
  `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,AjpNioProcessor>`

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,AjpNioProcessor>`

#### getSslImplementation

    public SSLImplementation getSslImplementation()

Specified by:
  `getSslImplementation` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketChannel socket)

Expected to be used by the Poller to release resources on socket close, errors etc.

Specified by:
  `release` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketWrapper<NioChannel> socket)

Expected to be used by the Poller to release resources on socket close, errors etc.

Specified by:
  `release` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketWrapper<NioChannel> socket,
               Processor<NioChannel> processor,
               boolean isSocketClosing,
               boolean addToPoller)

Expected to be used by the handler once the processor is no longer required.

Specified by:
  `release` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,AjpNioProcessor>`

#### createProcessor

    protected AjpNioProcessor createProcessor()

Specified by:
  `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,AjpNioProcessor>`